Subject: [bug#64748] [PATCH] gnu: webrtc-for-telegram-desktop: Update to a45d8b8

From: Saku Laesvuori <[email-masked]>
Date: Sat, 22 Jul 2023 11:25:16 +0300

> If libsrtp in Guix uses something other than openssl by default, then we 
> could create a package-definition "libsrtp-openssl" which inherits from 
> "libsrtp" and build-flagged to use openssl. We can then use that for 
> telegram desktop.

Yes, but we would still need to patch webrtc-for-telegram-desktop as the
code currently refers to headers in the submodule directory. Now that I
think of it, it could actually be relatively easy with a regex substitution
(something like s!^#include "third_party/(srtp/[^"]*)"$!#include <\1>!)
on every file. That's of course assuming that the code only refers to
headers in the submodule.